cmake_minimum_required(VERSION 3.29)
project(pumpkin_tracker)

set(CMAKE_CXX_STANDARD 20)

find_package(OpenCV REQUIRED)
include_directories(${OpenCV_INCLUDE_DIRS})

FIND_LIBRARY(DarkHelp darkhelp)
FIND_LIBRARY(Darknet darknet)

ADD_EXECUTABLE(pumpkin_tracker main.cpp)
TARGET_LINK_LIBRARIES(pumpkin_tracker ${OpenCV_LIBS})
TARGET_LINK_LIBRARIES(pumpkin_tracker /usr/local/lib/libdarkhelp.so)
TARGET_LINK_LIBRARIES(pumpkin_tracker /usr/local/lib/libdarknet.so)